# Class DataAdderF

java.lang.Object
org.jmol.quantum.mo.DataAdderF

All Implemented Interfaces:
  `DataAdder`

public class DataAdderF extends Object implements DataAdder
adds 10 cartesian F orbital contributions

## Constructor Summary

Constructors
Constructor
Description
`DataAdderF()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addData(MOCalculation calc, boolean havePoints)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataAdderF

public DataAdderF()

## Method Details

### addData

public boolean addData(MOCalculation calc, boolean havePoints)

Specified by:
  `addData` in interface `DataAdder`